#
# spec file for package perl-BIND-Conf_Parser
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-BIND-Conf_Parser
Version:        0.97
Release:        517.6
Group:          Development/Libraries/Perl
License:        ISC
Url:            ftp://ftp.gac.edu/pub/guenther
Summary:        Parser class for BIND configuration files
Source:         BIND-Conf_Parser-%{version}.tar.bz2
Patch0:         BIND-Conf_Parser-%{version}.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros

%description
This module implements a virtual base class for parsing BIND server
version 8 configuration files (named.conf).

%prep
%autosetup -p0 -n BIND-Conf_Parser-%{version}

%build
perl Makefile.PL
make %{?_smp_mflags}
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%files
%defattr(-,root,root)
%doc %{_mandir}/man?/*
%doc Changes README verify_zones
%{perl_vendorlib}/BIND
%{perl_vendorarch}/auto/BIND-Conf_Parser

%changelog
* Mon Mar  4 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Sat Jan 20 2024 Bernhard Wiedemann <bwiedemann@suse.com>
- Use %%patch0 to fix compilation with rpm-4.19
* Tue Mar 27 2012 cfarrell@suse.com
- license update: ISC
  The rights and obligations in verify_zones are most akin to the SPDX
  recognised ISC (Internet Systems Consortium) license
* Tue Nov 29 2011 coolo@suse.com
- clean up spec file
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Wed Jun 18 2003 mjancar@suse.cz
- fix filelist
* Thu May 22 2003 mjancar@suse.cz
- package verify_zones as sample in doc
- remove unpackaged files
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Mon Dec 17 2001 cihlar@suse.cz
- updated to version 0.97:
  * Add support for 'update-policy' clause in 'zone' statements
  * Add support for a bunch of options added in version 9.x
- added Url
* Mon Dec  3 2001 rvasice@suse.cz
- set SuSE series to perl
* Mon Nov 12 2001 rvasice@suse.cz
- initial package release (version 0.95)
